Subject: Re: [Tsvwg] Comments about addip-sctp-05

From: Laurent Glaude <[email-masked]>
Date: Fri, 24 May 2002 12:34:17 -0400

Randall,

Comments inline...

Randall Stewart wrote:

> Laurent Glaude wrote:
> >
> > Ivan,
> >
> > I agree with you, mostly. I too find section 5 confusing, even
though I *think*, like you, that it is explaining things
in the "socket view".
> >
>
> I don't think it is meant to explain the "socket view" but instead
> define mathamatically what is legal and not legal...
>
> It shows that the following IS legal and may exist at the same time:
>
> Host A   (IPA/B/C)                                         Host Z
> (IPX/Y/Z)
>
>
Endpoint1-IPA+Port:1111<-----------A1----------------->Endpoint2(IPX/Y/Z:Port

> 2222)
Endpoint3-IPB/C+Port:1111<----------A2---------------->Endpoint2(IPX/Y/Z:Port

> 2222)

Yes, that is fine...

I think we have been agreeing all along, just maybe not clearly. Let's
see if we really do see things the same way and remove the confusion by
a simple yes / no question:

Does it matter, in this example, which endpoint initiated (ie acted as a
client / sent the INIT) the associations? My opinion is that it does not
matter, because in the end, the result is the same (and legal).

In other words, is it a protocol violation to start two clients from (IP
X/Y/Z:Port 2222) : one that connects to (IP A: Port 1111) and the other
that connects to (IP B/C:Port 1111)??

>
> However the following is NOT legal
>
> Host A   (IPA/B/C)                                         Host Z
> (IPX/Y/Z)
>
>
Endpoint1-IPA/B+Port:1111<-----------A1----------------->Endpoint2(IPX/Y/Z:Port

> 2222)
Endpoint3-IPB/C+Port:1111<----------A2---------------->Endpoint2(IPX/Y/Z:Port

> 2222)
>
> In the above you cannot distingish a packet from Endpoint-2 with the
> destination address of IPB+Port:1111 as to who the packet belongs to.
>

Of course.

[snipped...]

>
>
> R
> --
> Randall R. Stewart
> [email-masked] 815-342-5222 (cell phone)

-Laurent

--
Laurent Glaude
Software Engineer, Performance Technologies
[email-masked] - http://www.pt.com

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg